# cyclonedx.model.tool

## Classes

`Tool` | This is our internal representation of the toolType complex type within the CycloneDX standard.
`ToolRepository` | The repository of tool formats

## Module Contents

class cyclonedx.model.tool.Tool(*, vendor: str | None = None, name: str | None = None, version: str | None = None, hashes: collections.abc.Iterable[cyclonedx.model.HashType] | None = None, external_references: collections.abc.Iterable[cyclonedx.model.ExternalReference] | None = None)

  This is our internal representation of the toolType complex type within the CycloneDX standard.

  Tool(s) are the things used in the creation of the CycloneDX document.

  Tool might be deprecated since CycloneDX 1.5, but it is not deprecated in this library. In fact, this library will try to provide a compatibility layer if needed.

  Note

  See the CycloneDX Schema for toolType: https://cyclonedx.org/docs/1.7/xml/#type_toolType

  property vendor: str | None

    The name of the vendor who created the tool.

    Returns:

      str if set else None

  property name: str | None

    The name of the tool.

    Returns:

      str if set else None

  property version: str | None

    The version of the tool.

    Returns:

      str if set else None

  property hashes: SortedSet[HashType]

    The hashes of the tool (if applicable).

    Returns:

      Set of HashType

  property external_references: SortedSet[ExternalReference]

    External References provides a way to document systems, sites, and information that may be relevant but which are not included with the BOM.

    Returns:

      Set of ExternalReference

  classmethod from_component(component: cyclonedx.model.component.Component) → Tool
  classmethod from_service(service: cyclonedx.model.service.Service) → Tool

class cyclonedx.model.tool.ToolRepository(*, components: collections.abc.Iterable[cyclonedx.model.component.Component] | None = None, services: collections.abc.Iterable[cyclonedx.model.service.Service] | None = None, tools: collections.abc.Iterable[Tool] | None = None)

  The repository of tool formats

  property components: SortedSet[Component]
    Returns:

      A SortedSet of Components

  property services: SortedSet[Service]
    Returns:

      A SortedSet of Services

  property tools: SortedSet[Tool]